Sites
Base URL: https://webvyze.com/api/v1 · click an endpoint for its scope, parameters, example and responses.
GET/sitesList the sites you can see
Needs access to the site, when there is one.
- Scope
api:read- Responses
- 200401402403422429
curl -H "Authorization: Bearer $WEBVYZE_KEY" \ https://webvyze.com/api/v1/sites
POST/sitesAdd a site
Needs a token with api:write. Needs the sites.create permission in the account.
- Scope
api:write- Responses
- 200401402403422429
curl -X POST -H "Authorization: Bearer $WEBVYZE_KEY" \
-H "Content-Type: application/json" -d '{}' \
https://webvyze.com/api/v1/sitesGET/sites/{site}Site details, laws and monitoring settings
Needs access to the site, when there is one.
- Scope
api:read- Path parameters
{site} integer- Responses
- 200401402403422429
curl -H "Authorization: Bearer $WEBVYZE_KEY" \
https://webvyze.com/api/v1/sites/{site}PATCH/sites/{site}Change site settings
Needs a token with api:write. Needs the sites.manage permission in the account.
- Scope
api:write- Path parameters
{site} integer- Responses
- 200401402403422429
curl -X PATCH -H "Authorization: Bearer $WEBVYZE_KEY" \
-H "Content-Type: application/json" -d '{}' \
https://webvyze.com/api/v1/sites/{site}DELETE/sites/{site}Delete a site
Needs a token with api:write. Needs the sites.manage permission in the account.
- Scope
api:write- Path parameters
{site} integer- Responses
- 200401402403422429
curl -X DELETE -H "Authorization: Bearer $WEBVYZE_KEY" \
-H "Content-Type: application/json" -d '{}' \
https://webvyze.com/api/v1/sites/{site}PUT/sites/{site}/lawsChoose the laws of a site
Needs a token with api:write. Needs the sites.manage permission in the account.
- Scope
api:write- Path parameters
{site} integer- Responses
- 200401402403422429
curl -X PUT -H "Authorization: Bearer $WEBVYZE_KEY" \
-H "Content-Type: application/json" -d '{}' \
https://webvyze.com/api/v1/sites/{site}/laws